<?php

require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$vias=$sessao->getVar('controle1');//numero de via etc
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
///////////////////////////////////////////////////
//aqui pega os paramentros do campo rea_campo100
	$user = new rean1();
	$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
    $user->selecionaTudo($user);
	
	while($res = $user->retornaDados()):
	    $campo100=$res->rea_campo100;//este campo traz os dados do calculo de tz 
    endwhile;		
    list($cc1, $cc2, $cc3,$cc4, $cc5, $cc6, $cc7, $cc8, $cc9, $cc10, $cc11, $cc12, $cc13, $cc14, $cc15, $cc16, $cc17, $cc18, $cc19, $cc20, $cc21, $cc22, $cc23, $cc24, $cc25, $cc26, $cc27, $cc28, $cc29, $cc30, $cc21, $cc32, $cc33, $cc34, $cc35, $cc36, $cc37, $cc38) = explode("*", $campo100);
 //$cc12+$cc14;// sementes duras + anomalia NAO DELETAR ISSO
 

$viabilidade=$cc10;
$semViabilidade=100-$viabilidade;
$vigor=$cc11;
$semVigor=100-$vigor;
$totalM=$cc1;// danos mecanico m18
$totalU=$cc4;// danos umidade u18
$totalP=$cc7;// danos percevejo p18
$totalE=$cc14;//DANOS EMBRIONARIA QUE MATA
$perdaM=$cc3;// morta por mecanico
$perdaU=$cc6;// morta por umidade
$perdaE=$cc14;// morta por embrionica ou verde

$perdaP=$cc9;// morta por percevejo
$maisAlto=$cc15;//classe 1
$alto=$cc16;//classe 2
$medio=$cc17;//classe 3
$baixo=$cc36;//calsse 4
$muitoBaixo=$cc38;//classe 5
//no dia 14/12 eu aumentei o campo rea_campo100 para 110 caracteres pois nao estava gravadno o item 38
////////////////////////////FIM DA CAPTURA DOS DADOS////////////////////

require('phplot/phplot.php');
//define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);

#incluindo a classe. verifique se diretorio e versao sao iguais, altere se precisar
//include('phplot-5.0.4/phplot.php');
#Matriz utilizada para gerar os graficos

//PRIMEIRO GRAFICO
$xGraficoPier=300;
$yGraficoPier=300;
$xImagemPier=$xGraficoPier/4;
$yImagemPier=$yGraficoPier/4;

$xGraficoBar=400;
$yGraficoBar=200;
$xImagemBar=$xGraficoBar/4;
$yImagemBar=$yGraficoBar/4;



$data = array(
array('Jan', $viabilidade, $semViabilidade),
);
#Instancia o objeto e setando o tamanho do grafico na tela
$plot = new PHPlot($xGraficoPier,$yGraficoPier);//estava 400,400
#Tipo de borda, consulte a documentacao
//$plot->SetImageBorderType('plain');//coloca molduras feiosas
//DEFINE AS CORES
//$plot->SetDataColors(array('#1F71B8','#078E39'));
//$plot->SetDataColors(array('#1F71B8','#ac1537'));//SUGESTAO DIMICRON
$plot->SetDataColors(array('#82cee8','#f0737c'));
#Tipo de grafico, nesse caso barras, existem diversos(pizza…)
$plot->SetPlotType('pie');
#Tipo de dados, nesse caso texto que esta no array
$plot->SetDataType('text-data');
#Setando os valores com os dados do array
$plot->SetDataValues($data);
#Titulo do grafico
$plot->SetTitle('VIABILIDADE');
#Legenda, nesse caso serao tres pq o array possui 3 valores que serao apresentados
$plot->SetLegend(array('VIABILIDADE','SEM VIABILIDADE'));
#Utilizados p/ marcar labels, necessario mas nao se aplica neste ex. (manual) :
$plot->SetXTickLabelPos('none');
$plot->SetXTickPos('none');
#Gera o grafico na tela
$plot->SetIsInline(true);
$plot->SetOutputFile('grafico_vendas_blog1.png');
$plot->DrawGraph();


//SEGUNDO GRAFICO///////////////////////

$data = array(
array('Jan', $vigor, $semVigor),
);
#Instancia o objeto e setando o tamanho do grafico na tela
$plot = new PHPlot($xGraficoPier,$yGraficoPier);
#Tipo de borda, consulte a documentacao
//$plot->SetImageBorderType('plain');
//DEFINE AS CORES
//$plot->SetDataColors(array('#1F71B8','#078E39'));
//$plot->SetDataColors(array('#1F71B8','#ac1537'));//SUGESTAO DIMICRON
$plot->SetDataColors(array('#82cee8','#f0737c'));
#Tipo de grafico, nesse caso barras, existem diversos(pizza…)
$plot->SetPlotType('pie');
#Define quantas casas decimais
$plot->SetPrecisionY(0);
#Tipo de dados, nesse caso texto que esta no array
$plot->SetDataType('text-data');
#Setando os valores com os dados do array
$plot->SetDataValues($data);
#Titulo do grafico
$plot->SetTitle('VIGOR POR TETRAZOLIO');
#Legenda, nesse caso serao tres pq o array possui 3 valores que serao apresentados
$plot->SetLegend(array('VIGOR','SEM VIGOR'));
#Utilizados p/ marcar labels, necessario mas nao se aplica neste ex. (manual) :
$plot->SetXTickLabelPos('none');
$plot->SetXTickPos('none');
#Gera o grafico na tela
$plot->SetIsInline(true);
$plot->SetOutputFile('grafico_vendas_blog2.png');
$plot->DrawGraph();
//FIM DO SEGUNDO GRAFICO DE PIZZA

//TERCEIRO GRAFICO(PRIMEIRO GRAFICO DE BARRAS-->3 BARRAS/////////////////////
# PHPlot Example: Bar chart, with data labels
//require_once 'phplot.php';
$data = array(
  array('', $totalM),  array('', $totalU),
  array('',  $totalP),array('',  $totalE),
);
$plot = new PHPlot($xGraficoBar, $yGraficoBar);//
//$plot->SetImageBorderType('plain');
$plot->SetPlotType('bars');
$plot->SetDataType('text-data');
$plot->SetDataValues($data);
$plot->SetTitle("TOTAIS DE DANOS(%)");

# Turn off X tick labels and ticks because they don't apply here:
$plot->SetXTickLabelPos('none');
$plot->SetXTickPos('none');

# Make sure Y=0 is displayed:
$plot->SetPlotAreaWorld(NULL, 0);
# Y Tick marks are off, but Y Tick Increment also controls the Y grid lines:
$plot->SetYTickIncrement(100);

# Turn on Y data labels:
$plot->SetYDataLabelPos('plotin');

# With Y data labels, we don't need Y ticks or their labels, so turn them off.
$plot->SetYTickLabelPos('none');
$plot->SetYTickPos('none');

# Format the Y Data Labels as numbers with 1 decimal place.
# Note that this automatically calls SetYLabelType('data').
$plot->SetPrecisionY(0);
#Gera o grafico na tela
$plot->SetIsInline(true);
$plot->SetOutputFile('grafico_vendas_blog3.png');
$plot->DrawGraph();
//FIM DO PRIMEIRO  GRAFICO 3 BARRAS///////////////////////*

/////grafico perda de viabilidade REVISAO 19/04/2017 DIMICRON DANOS EMBRIONICO==============
//QUARTO GRAFICO(SEGUNDO GRAFICO DE BARRAS-->3 BARRAS/////////////////////
# PHPlot Example: Bar chart, with data labels
//require_once 'phplot.php';
$data1 = array(
 array('', $perdaM),  array('',$perdaU),
   array('',  $perdaP), array('',  $perdaE),
);
$plot1 = new PHPlot($xGraficoBar, $yGraficoBar);//
//$plot1->SetImageBorderType('plain');
$plot1->SetPlotType('bars');
$plot1->SetDataType('text-data');
$plot1->SetDataValues($data1);
$plot1->SetTitle("PERDA DE VIABILIDADE(%)");

# Turn off X tick labels and ticks because they don't apply here:
$plot1->SetXTickLabelPos('none');
$plot1->SetXTickPos('none');

# Make sure Y=0 is displayed:
//$plot1->SetPlotAreaWorld(NULL, 0);
# Y Tick marks are off, but Y Tick Increment also controls the Y grid lines:
$plot1->SetYTickIncrement(100);

# Turn on Y data labels:
$plot1->SetYDataLabelPos('plotin');
//$plot1->SetDataColors('#a8461c');
# With Y data labels, we don't need Y ticks or their labels, so turn them off.
$plot1->SetYTickLabelPos('none');
$plot1->SetYTickPos('none');

# Format the Y Data Labels as numbers with 1 decimal place.
# Note that this automatically calls SetYLabelType('data').
$plot1->SetPrecisionY(0);
#Gera o grafico na tela
$plot1->SetIsInline(true);
$plot1->SetOutputFile('grafico_vendas_blog4.png');//PERDA DE VIABILIDADE
$plot1->DrawGraph();
//FIM DO SEGUNDO  GRAFICO  DE 3 BARRAS///////////////////////

#################################
//QUINTO GRAFICO(TERCEIRO GRAFICO DE BARRAS-->5 BARRAS/////////////////////
# PHPlot Example: Bar chart, with data labels
//require_once 'phplot.php';
$data1 = array(
 array('', $maisAlto),  array('', $alto),
  array('',  $medio), 
);
$plot1 = new PHPlot($xGraficoBar, $yGraficoBar);//
//$plot1->SetImageBorderType('plain');
$plot1->SetPlotType('bars');
$plot1->SetDataType('text-data');
$plot1->SetDataValues($data1);
//$plot->SetDataColors(array('#82cee8','#82cee8','#82cee8','#82cee8','#82cee8','#f0737c'));
$plot1->SetTitle("VIGOROSAS(%)");

# Turn off X tick labels and ticks because they don't apply here:
$plot1->SetXTickLabelPos('none');
$plot1->SetXTickPos('none');

# Make sure Y=0 is displayed:
$plot1->SetPlotAreaWorld(NULL, 0);
# Y Tick marks are off, but Y Tick Increment also controls the Y grid lines:
$plot1->SetYTickIncrement(100);
$plot1->SetFileFormat('PNG'); // cria o arquivo no formato especificado GIF, JPG e PNG
# Turn on Y data labels:
$plot1->SetYDataLabelPos('plotin');
//$plot1->SetDataColors('blue'); // seta as cores utilizads pelo grafico
//$plot1->SetDataColors(array('yellow','green',  'red'));
// SetDataColors $ plot-> (array ('verde', 'amarelo', 'red')); 
//$plot1->SetCallback('yellow', 'green','green','green','green','green', $data1); 
//$Plot-> SetCallback ('data_color', 'pickcolor', $ dados); 
# With Y data labels, we don't need Y ticks or their labels, so turn them off.
$plot1->SetYTickLabelPos('none');
$plot1->SetYTickPos('none');
///////////////
//$plot1->SetDataColors('green'); // seta as cores utilizads pelo grafico
$plot1->SetPlotAreaWorld(0, null, null, null);
//$teste = array('blue', 'red', 'black', 'black', 'black', 'black');
//$plot1->SetRGBArray($teste);
/////////////
# Format the Y Data Labels as numbers with 1 decimal place.
# Note that this automatically calls SetYLabelType('data').
$plot1->SetPrecisionY(0);
#Gera o grafico na tela
$plot1->SetIsInline(true);
$plot1->SetOutputFile('grafico_vendas_blog5.png');
$plot1->DrawGraph();



/////////////
#################################
//sexto GRAFICO(1 BARRAS/////////////////////
# PHPlot Example: Bar chart, with data labels
//require_once 'phplot.php';
//$baixo=6;
//$muitoBaixo=5;

$data1 = array(
array('', $baixo),  array('', $muitoBaixo), array('', $semViabilidade),   
);
$plot1a = new PHPlot($xGraficoBar, $yGraficoBar);//
//$plot1->SetImageBorderType('plain');
$plot1a->SetPlotType('bars');
$plot1a->SetDataType('text-data');
$plot1a->SetDataValues($data1);
//$plot->SetDataColors(array('#82cee8','#82cee8','#82cee8','#82cee8','#82cee8','#f0737c'));
$plot1a->SetTitle("NAO VIGOROSAS(%)");

# Turn off X tick labels and ticks because they don't apply here:
$plot1a->SetXTickLabelPos('none');
$plot1a->SetXTickPos('none');

# Make sure Y=0 is displayed:
$plot1a->SetPlotAreaWorld(NULL, 0);
# Y Tick marks are off, but Y Tick Increment also controls the Y grid lines:
$plot1a->SetYTickIncrement(100);
$plot1a->SetFileFormat('PNG'); // cria o arquivo no formato especificado GIF, JPG e PNG
# Turn on Y data labels:
$plot1a->SetYDataLabelPos('plotin');
//$plot1->SetDataColors('blue'); // seta as cores utilizads pelo grafico
//$plot1->SetDataColors(array('yellow','green',  'red'));
// SetDataColors $ plot-> (array ('verde', 'amarelo', 'red')); 
//$plot1->SetCallback('yellow', 'green','green','green','green','green', $data1); 
//$Plot-> SetCallback ('data_color', 'pickcolor', $ dados); 
# With Y data labels, we don't need Y ticks or their labels, so turn them off.
$plot1a->SetYTickLabelPos('none');
$plot1a->SetYTickPos('none');
///////////////
$plot1a->SetDataColors('#f0737c'); // seta as cores utilizads pelo grafico
$plot1a->SetPlotAreaWorld(0, null, null, null);
//$teste = array('blue', 'red', 'black', 'black', 'black', 'black');
//$plot1->SetRGBArray($teste);
/////////////
# Format the Y Data Labels as numbers with 1 decimal place.
# Note that this automatically calls SetYLabelType('data').
$plot1a->SetPrecisionY(0);
#Gera o grafico na tela
$plot1a->SetIsInline(true);
$plot1a->SetOutputFile('grafico_vendas_blog6.png');
$plot1a->DrawGraph();
//FIM   GRAFICO  DE 1 BARRAS///////////////////////



$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
	$pdf->open();//abre o fpdf
	$pdf->AddPage();//adicionando a primera pafina 
//////////////////////////////////////////////
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-20;//era16
			 $larguraUtil=$maximoLAdobe-20;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=180;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
             $pdf->SetFont('Times','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 //$pdf-> Line($margemEsquerda,1,$margemDireita+9,1);//linha no topo
             //$pdf->Rect($margemEsquerda,30,$larguraUtil,$futer-40);


	         $pdf->SetFont('Times','B',11);
			 $pdf->setXY($margemEsquerda,30);
			 $vetorCabecalho=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,$margemEsquerda,3,48,23,'JPG');

//////////CABECALHO////////////////
			 
	         $pdf->SetFont('Times','B',9);
			 $y=5;  $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[3]),0,1,'C');//lab nome

	         $pdf->SetFont('Times','B',10);
			 $pdf->setXY($margemEsquerda,30);
			 $pdf->Cell($larguraUtil,5,utf8_decode('INFORMATIVO TETRAZÓLIO'),1,1,'C',1);//lab nome
             //$pdf->Rect($margemEsquerda,35,$larguraUtil,10);
             //CAPTURA DADOS DA AMOSTRA////////////
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
			$cota1=35; 
			//$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
			//$cota1=$cota1+30;
	        $pdf->SetFont('Arial','B',12);
            $pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell($larguraUtil,5,utf8_decode('AMOSTRA Nº:'.$amostra.'/'.$ano. '  Lote:'.$lote .'  Cultivar:'.$cultivar),1,0,'L');//amostra
	        $pdf->SetFont('Times','B',7);
			//retangulo externo logo abaixo da amostra
			$pdf->Rect($margemEsquerda,$cota1,$larguraUtil,207);

			
			
			 
//ESTOQUE DE TEXTOS
$t1='VIABILIDADE MUITO ALTA: Igual ou superior a 95%. VIABILIDADE';
$t2='ALTA: Entre 85% a 94%: VIABILIDADE MÉDIA: Entre 70 e 84%.';
$t3='VIABILIDADE BAIXA: Entre 60 e 69% VIABILIDADE';
$t4='VIABILIDADE MUITO BAIXA: Igual ou inferior a 59%.';
$t5='VIGOR MUITO ALTO: Igual ou superior a 85%: VIGOR ALTO:Entre 75%';
$t6='a 84%: VIGOR MÉDIO: Entre 60 e 74%. VIGOR BAIXO: Entre 50 e 59%';
$t7='VIGOR MUITO BAIXO: Igual ou inferior a 49%.';
$t8='        DANOS.             DANOS POR       DANOS POR            DANO';
$t9='   MECÂNICOS            UMIDADE         PERCEVEJO      EMBRIONARIO';
$t10='Danos mecânicos,danos por umidade, danos por percevejo: Quanto menor o ';$t11='percentual, maior a qualidade do lote.';		
$t12='PERDA DA VIABILIDADE: Sem restrição: Inferior a 6%; Problema';
$t13='sério: Entre 7% e 10%;  Problema muito serio: Superior a 10%.';		

$t14='               MAIS ALTO                      ALTO                            MÉDIO                            BAIXO                    MUITO BAIXO                        SEM';
$t15='                  VIGOR                          VIGOR                          VIGOR                            VIGOR                        VIGOR                           VIABILIDADE';
$t16='CLASSIFICAÇÃO DO VIGOR: Quanto maior o percentual na classe de mais alto valor, maior a qualidade do lote.';



//IMPRIME A IMAGEM DA VIABILIDADE
    // $pdf->Image('grafico_vendas_blog.png',60,30,null,null,'PNG');
	///define a espessura dos tracos////
	 $cinza=220;
	 $pdf->SetFillColor($cinza,$cinza,$cinza);
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.1;
	 $pdf->SetLineWidth($extraFino);	

    //graficos 1 e 4
    $y=40;
	$posicao2=106.5;
    $pdf->Image('grafico_vendas_blog1.png',10,$y,$xImagemPier,$yImagemPier,'PNG');
    $pdf->Image('grafico_vendas_blog4.png',$posicao2-3,$y,$xImagemBar,$yImagemBar,'PNG');//PERDA DE VIABILIDADE
    $y+=58;
	$pdf->Rect($margemEsquerda,$y,92,12);//ERA 92
	$pdf->Rect($posicao2+1,$y,92,12);//perda de viabilidade

     $pdf->SetFont('Arial','',7);
    //legenda quadro1 
	 $afastamento=3;
	 //LEGENDA DE 4 LINHAS DO GRAFICO 1
	 $pdf->setXY($margemEsquerda,$y); $pdf->Cell(94,$afastamento,utf8_decode($t1),'0',1,'L');
	 $pdf->setXY($margemEsquerda,$y+3); $pdf->Cell(94,$afastamento,utf8_decode($t2),'0',1,'L');
	 $pdf->setXY($margemEsquerda,$y+6); $pdf->Cell(94,$afastamento,utf8_decode($t3),'0',1,'L');
	 $pdf->setXY($margemEsquerda,$y+9); $pdf->Cell(94,$afastamento,utf8_decode($t4),'0',1,'L');
    //LEGENDA DE DUAS LINHAS DO GRAFICO 4
	$pdf->setXY($posicao2+1,$y); $pdf->Cell(94,$afastamento,utf8_decode($t12),'0',1,'L');
	$pdf->setXY($posicao2+1,$y+3); $pdf->Cell(94,$afastamento,utf8_decode($t13),'0',1,'L');

     //LEGENDA GRAFICO DANOS POR....
    $pdf->SetFont('Arial','B',8);
	$pdf->setXY($posicao2,$y-8); $pdf->Cell(94,4,utf8_decode($t8),'0',1,'L');
	$pdf->setXY($posicao2,$y-5); $pdf->Cell(94,4,utf8_decode($t9),'0',1,'L');




	 
    //graficos 2 e 3
    $y+=12;
    $pdf->Image('grafico_vendas_blog2.png',10,$y,$xImagemPier,$yImagemPier,'PNG');
    $pdf->Image('grafico_vendas_blog3.png',$posicao2-3,$y,$xImagemBar,$yImagemBar,'PNG');
    $y+=60;//ERA 60
	$pdf->Rect($margemEsquerda,$y,92,9);//ERA 92  FICA AO REDOR DA LEGENDA
	$pdf->Rect($posicao2+1,$y,92,9);//legenda totais de danos EA 92

     $pdf->SetFont('Arial','',7);
    //legenda quadro1 
	 $afastamento=3;
	 $pdf->setXY($margemEsquerda,$y); $pdf->Cell(94,$afastamento,utf8_decode($t5),'0',1,'L');
	 $pdf->setXY($margemEsquerda,$y+3); $pdf->Cell(94,$afastamento,utf8_decode($t6),'0',1,'L');
	 $pdf->setXY($margemEsquerda,$y+6); $pdf->Cell(94,$afastamento,utf8_decode($t7),'0',1,'L');

     //LEGENDA GRAFICO 4
	$pdf->setXY($posicao2+1,$y); $pdf->Cell(94,$afastamento,utf8_decode($t10),'0',1,'L');
	$pdf->setXY($posicao2+1,$y+3); $pdf->Cell(94,$afastamento,utf8_decode($t11),'0',1,'L');
     //LEGENDA GRAFICO DANOS MECAMICO UMIDADE PERCEVEJO
    $pdf->SetFont('Arial','B',8);
	$pdf->setXY($posicao2,$y-8); $pdf->Cell(94,4,utf8_decode($t9),'0',1,'L');




	$y+=12;
    $pdf->Image('grafico_vendas_blog5.png',6,$y,$xImagemBar,$yImagemBar,'PNG');//vigorosas
    $pdf->Image('grafico_vendas_blog6.png',$posicao2-3,$y,$xImagemBar,$yImagemBar,'PNG');
	//ultimas legendas
	$y+=48;
	$pdf->Rect($margemEsquerda,$y+7,190,5);

    //$pdf->Image('Imagens/apagadorEmergencial.jpg',10,$y,195,5,'JPG');//apaga uma linha que nao quero no meu desenho

	//$pdf->SetFont('Times','B',9);
	$pdf->setXY($margemEsquerda,$y); $pdf->Cell(94,$afastamento,utf8_decode($t14),'0',1,'L');
	$pdf->setXY($margemEsquerda,$y+4); $pdf->Cell(94,$afastamento,utf8_decode($t15),'0',1,'L');
	$pdf->SetFont('Times','B',7);
	$pdf->setXY($margemEsquerda,$y+8); $pdf->Cell(94,$afastamento,utf8_decode($t16),'0',1,'L');
	$pdf->Line($margemEsquerda,$y-38,$margemEsquerda,$y+7);//pequena linha vertical para unir o gradico com o retangulo dando acabamento
	$pdf->Line($margemDireita+10,$y-38,$margemDireita+10,$y+7);//pequena linha vertical para unir o gradico com o retangulo dando acabamento

	
#####################nota LOCAL DATA###############
	 $y+=14;
     $pdf->SetFont('Arial','',5);
     $pdf->setXY($margemEsquerda,$y);
	 $pdf->Cell(88,3,utf8_decode('NOTAS: 1- A identificação das amostras é de exclusiva'),0,1,'L');//npme do tecnico
	 $pdf->Cell(88,3,utf8_decode('responsabilidade do requerente.'),0,1,'L');//npme do tecnico
	 $pdf->Cell(88,3,utf8_decode('2-A presente análise tem seu valor restrito a amostra'),0,1,'L');//npme do tecnico
	 $pdf->Cell(88,3,utf8_decode('entregue ao laboratório.'),0,1,'L');//npme do tecnico
	 $pdf->Cell(88,3,utf8_decode('3-Método de análise segundo França et al.(1998)'),0,1,'L');//npme do tecnico
	 if($cc14>0 ||$cc12>0):
        if($cc14>0)$textoEmbrionario=  $cc14.'% dano emprionário.';
        if($cc12>0)$textoDuras=   $cc12.'% sementes duras.';
	    $pdf->Cell(88,3,utf8_decode('Observação: Foi encontrado ' . $textoEmbrionario . "  " .$textoDuras),0,1,'L');//embrionario
	 endif; 





	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
	 
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
     $dataLaudo=date("d/m/Y");
	 $pdf->SetFont('Times','',8);
	 $posicao2=119;	 
	 $pdf->Rect($margemEsquerda,$y,$larguraUtil,39.5);
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,125,$y+14,62,14,'JPG');
     endif;
 

     $pdf->setXY($posicao2,$y);
	 //$dataHoje=date();
	 //$dataLaudo=date("d/m/Y",strtotime($dataHoje));
     $pdf->SetFont('Times','',12);
	 $pdf->Cell(85,4.5,utf8_decode($vetorCabecalho[6]).", ".$dataLaudo ,'0',1,'L');
     $pdf->SetFont('Times','',8);
	 $pdf->line(130,$y+27,190,$y+27);  //linha horizontal da assinatura
	 $pdf->line(100,$y,100,$y+39.5);//linha vertical a esquerda do tecnico
	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$y+23);
	 $pdf->Cell(88,4.5,utf8_decode($vetorTecnico[0]),'0',1,'C');//npme do tecnico
     $pdf->setXY($posicao2,$y+27);
	 $pdf->Cell(88,4.5,utf8_decode($vetorTecnico[1]),'0',1,'C');
     $pdf->setXY($posicao2,$y+31);
	 $pdf->Cell(88,4.5,' CREA:'.$vetorTecnico[2].'  RENASEM:'.$vetorTecnico[3],'0',1,'C');	
	 $pdf->setXY($posicao2,$y+35);
	 $pdf->Cell(88,4.5,utf8_decode($vetorTecnico[7]),'0',1,'C');//responsavel tecnico funcao	 
     $pdf->SetFont('Arial','',6);
	 $pdf->Cell(88,2,utf8_decode('SilasNet - Integral-Uberlândia/MG 34-3212.6384'),0,1,'L');
	 

      //CAFUNE FINAL
	 //Colocar uma linha vertical a esquerda
	 $pdf->Line($margemEsquerda,30,$margemEsquerda,200);
	 //Colocar uma linha vertical a DIREITA
	 $pdf->Line(200,30,200,200);
	 
	 //FECHAR O GRAFICO  PIZZA VIABILIDADE
	 $pdf->Rect($margemEsquerda,46,92,52);
	 //FECHAR O GRAFICO  PIZZA tz-tetrazolio
	 $pdf->Rect($margemEsquerda,116,92,54);
	 
	 //TOTAIS DE DANOS Colocar uma linha horizontal fechando o grafico EM CIMA
	 $pdf->Line(108,116,200,116);
	 //Colocar tres linhas verticasis fechando cada tipo de dano
	 $pdf->Line(107,116,107,170);//linha vertical esquerda
	 $pdf->SetDrawColor(150,150,150);
	 //TRES LINHAS VERTICAISS  NO TOTAL DE DANOS
	 $pdf->Line(130,116,130,170);//segunda linha vertical
	 $pdf->Line(153,116,153,170);//TERCEIRA linha vertical
	 $pdf->Line(176,116,176,170);//QUARTA
	 //TRES LINHAS VERTICAISS  NA PERDA DE VIABILIDADE
	 $pdf->Line(130,46,130,98);//segunda linha vertical
	 $pdf->Line(153,46,153,98);//TERCEIRA linha vertical
	 $pdf->Line(176,46,176,98);//QUARTA
	 
	 
	 
	 
	 
	 
     $pdf->SetDrawColor(10,10,10);
	 //Colocar uma linha horizontal fechando o grafico  vigorosas
	 $pdf->Line(10,188,102,188);
	 //Colocar uma linha VERTICAL fechando DIREITA o grafico  vigorosas
	 //$pdf->Line(41,188,41,237);//segunda linha vertical
	 //$pdf->Line(72,188,72,237);//terceira linha vertical
	 $pdf->Line(102,188,102,237);//ultima linha vertical a direita

	 //Colocar uma linha horizontal fechando o grafico nao vigorosas
	 $pdf->Line(107,188,200,188);
	 //Colocar tres linhas verticasis fechando cada tipo de dano
	 $pdf->Line(107,188,107,237);//linha vertical esquerda
	 //$pdf->Line(139,188,139,237);//segunda linha vertical
	 //$pdf->Line(170,188,170,237);

	 
	 
	 //Colocar uma linha horizontal fechando o grafico PERDA DE VIABILIDADE
	 $pdf->Line(108,46,200,46);
     //Colocar duas linhas verticasis fechando cada tipo de dano
	 $pdf->Line(107,46,107,98);//linha vertical esquerda
	 //$pdf->Line(139,46,139,98);//segunda linha vertical
	 //$pdf->Line(170,46,170,98);


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");





?>